osl::misc::BinaryReader< T > Class Template Reference

`#include <binaryIO.h>`

## Classes

struct | State

## Public Member Functions

| BinaryReader (std::istream &is)
| ~BinaryReader ()
bool | read (std::vector< T > &data)

## Static Public Member Functions

static size_t | blockSize ()

## Private Attributes

std::unique_ptr< State > | state

## Detailed Description

template<class T>
class osl::misc::BinaryReader< T >

Definition at line 19 of file binaryIO.h.

## Constructor & Destructor Documentation

## BinaryReader()

template<class T>

osl::misc::BinaryReader< T >::BinaryReader | ( | std::istream & | is | ) |

explicit

Definition at line 55 of file binaryIO.cc.

References state.

## ~BinaryReader()

template<class T>

osl::misc::BinaryReader< T >::~BinaryReader | ( |  | ) |

Definition at line 60 of file binaryIO.cc.

## Member Function Documentation

## blockSize()

template<class T>

size_t osl::misc::BinaryReader< T >::blockSize | ( |  | ) |

static

Definition at line 96 of file binaryIO.cc.

## read()

template<class T>

bool osl::misc::BinaryReader< T >::read | ( | std::vector< T > & | data | ) |

Definition at line 89 of file binaryIO.cc.

References state.

## Member Data Documentation

## state

template<class T>

std::unique_ptr<State> osl::misc::BinaryReader< T >::state

private

Definition at line 29 of file binaryIO.h.

Referenced by BinaryReader(), and read().

The documentation for this class was generated from the following files:

- binaryIO.h
- binaryIO.cc